{
  hostPlatform = (import <nixpkgs/lib>).systems.examples.gnu64;

  overlay = (final: prev: {

    platform_name = "kgpe";

    kernel = 
      final.lib.makeOverridable (prev.kernel.override {
        config = ./linux.config;
        buildTargets = [ "bzImage" ];
      }).overrideAttrs (a: {
        postInstall = (a.postInstall or "") + ''
          cp arch/x86_64/boot/bzImage $out
        '';
      });

    coreboot = final.lib.makeOverridable (prev.coreboot.override {
      iasl = final.iasl_20180531;
      payload = "${final.kernel}/bzImage";
      fmap = ./custom.fmap;
      config = ./coreboot.config;
      coreboot-toolchain = with final.coreboot-toolchain; [ x64 i386 ];
    }).overrideAttrs (a: {
      postInstall = (a.postInstall or "") + ''
        cp src/mainboard/asus/kgpe-d16/cmos.layout $out/
        cp src/mainboard/asus/kgpe-d16/cmos.default $out/
    '';
    });
  });
}
